Subject: Re: IEEE 802.1 actions on Provider Bridges

From: Norman Finn <[email-masked]>
Date: Thu, 05 Dec 2002 12:07:27 -0800

Cheng-Yin Lee wrote:
> 
>  4. There is every expectation that 802.1AD and VPLS will be perfectly
> >       compatible, interoperable, and have a minimum of overlap, with the
> >       L2-VPNs defined by PPVPN,
> >
> 
> I believe there is function overlap in IEEE Q in Q  work and VPLS. To me, minimum overlap would imply using IEEE functions where applicable rather than specifying something in parallel.

I certainly wouldn't argue with you, there.  :)

> > partitioning of the functions of an
> >       NPE or a PE-rs into a "provider bridge" and some number of
> >       "Emulated LAN Segments" are carried through.
> >
> Could you kindly elaborate on the above partitioning of functions pls?

This is explained much more thoroughly in the slides at:

http://p8021:[email-masked]/1/mirror/8021/docs2002/bridge-based-ether-prov-2.pdf

-- Norm

> Norman Finn wrote:
> 
> > To summarize, unofficially (I have no official liaison position), what
> > happened with regard to L2 service providers at the IEEE P802.1 meeting
> > last week:
> >
> >  1. P802.1 forwarded a Project Authorization Request to start 802.1AD,
> >     an amendment to IEEE Std. 802.1Q-1998 (the VLAN standard) to cover
> >     Provider Bridges.  (Relevant portions of PAR follow my signature.)
> >
> >  2. We can expect 802.1AD to specify the operation of a provider's
> >     Bridged LAN offering Layer 2 services.  The primary foci are
> >     expected to be the Provider/Customer interface, and Q-over-Q tag
> >     operations.  We can expect it to use an outer 802.1Q tag, where
> >     needed, to differentiate among different customers' services.
> >
> >  3. Given that this project will be an amendment to 802.1Q, MAC-in-MAC
> >     techniques will not be a possibility.  That does not rule out some
> >     type of MAC-in-MAC technique, for either this or for other
> >     purposes, in the future.
> >
> >  4. There is every expectation that 802.1AD and VPLS will be perfectly
> >     compatible, interoperable, and have a minimum of overlap, with the
> >     L2-VPNs defined by PPVPN, assuming that the recent dt-l2vpn mailing
> >     list discussions regarding the partitioning of the functions of an
> >     NPE or a PE-rs into a "provider bridge" and some number of
> >     "Emulated LAN Segments" are carried through.
> >
> > -- Norm
> >
> > RELEVANT PARTS OF 802.1AD PAR:
> >
> > TITLE OF DOCUMENT: Standard for Local and Metropolitan Area Networks.
> > Virtual Bridged Local Area Networks. Amendment 4: Provider Bridges.
> >
> > SCOPE: To develop an architecture and bridge (-1-) protocols, compatible
> > and interoperable with existing Bridged Local Area Network protocols and
> > equipment, to provide separate instances of the MAC service (-3-) to
> > multiple independent users of a Bridged Local Area Network (-1-, -2-) in a
> > manner that does not require cooperation among the users, and requires a
> > minimum of cooperation between the users and the provider of the MAC
> > service. To define basic management of users' MAC services.
> >
> > References: -1- IEEE Std. 802.1D, -2- IEEE Std. 802.1Q, -3- IEEE Std. 802,
> > -4- IEEE P802.1S.
> >
> > PURPOSE: This standard will enable a Service Provider to offer the
> > equivalent of separate LAN Segments, Bridged or Virtual Bridged LANs,
> > to a number of users, over the Provider's bridged network. This Standard
> > will enable the use of the architecture and protocols of IEEE Std 802.1Q,
> > and provide for interoperability and consistent management.